Package ru.bitel.bgbilling.modules.rscm.server.bean

# Class RSCMRecalculator

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.task.server.bean.RunTask
ru.bitel.bgbilling.kernel.task.server.bean.RunTaskRecalculator<RSCMCalculator>
ru.bitel.bgbilling.modules.rscm.server.bean.RSCMRecalculator

All Implemented Interfaces:
  `Serializable`, `Runnable`

public class RSCMRecalculator extends RunTaskRecalculator<RSCMCalculator>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTaskRecalculator

  `dt, email, mid`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `setup`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RSCMRecalculator(int moduleId, Calendar dt, String email, String contractIds)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected RSCMCalculator`
  `createTask()`
  `void`
  `executeTask()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTaskRecalculator

  `getDescription`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `getQueueId, getUniqueKeyParallel, getUniqueKeyQueue, init, removeMyselfFromTable, run, setQueueId`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RSCMRecalculator

    public RSCMRecalculator(int moduleId, Calendar dt, String email, String contractIds)

- ## Method Details

  - ### executeTask

    public void executeTask()
    Overrides:
      `executeTask` in class `RunTaskRecalculator<RSCMCalculator>`

  - ### createTask

    protected RSCMCalculator createTask()
    Specified by:
      `createTask` in class `RunTaskRecalculator<RSCMCalculator>`